#include <stdio.h>
#define	A	0.5
#define	B	0.55

_Sat long _Fract sat_add3 (_Sat long _Fract a, _Sat long _Fract b)
{
  return a + b;
}

long _Fract mul3 (long _Fract a, long _Fract b)
{
  return a * b;
}

int main()
{
  printf("hello %X + %X = %X\n", (_Sat long _Fract)A, (_Sat long _Fract)B, sat_add3(A, B));
  printf("hello %X * %X = %X\n", (_Sat long _Fract)A, (_Sat long _Fract)B, mul3(A, B));
}
